cpw.mods.fml.common.network.handshake

## Class HandshakeInjector

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelOutboundHandlerAdapter
    - - cpw.mods.fml.common.network.handshake.HandshakeInjector

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelOutboundHandler

      public class HandshakeInjector
      extends io.netty.channel.ChannelOutboundHandlerAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandshakeInjector(NetworkDispatcher networkDispatcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(io.netty.channel.ChannelHandlerContext ctx, java.lang.Object msg, io.netty.channel.ChannelPromise promise)`

    - ### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

      `bind, close, connect, deregister, disconnect, flush, read`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `exceptionCaught, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `exceptionCaught, handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### HandshakeInjector

          public HandshakeInjector(NetworkDispatcher networkDispatcher)

  - ### Method Detail

    - #### write

          public void write(io.netty.channel.ChannelHandlerContext ctx,
                   java.lang.Object msg,
                   io.netty.channel.ChannelPromise promise)
                     throws java.lang.Exception

      Specified by:
        `write` in interface `io.netty.channel.ChannelOutboundHandler`
      Overrides:
        `write` in class `io.netty.channel.ChannelOutboundHandlerAdapter`
      Throws:
        `java.lang.Exception`